Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Active_Demux_OpTable Class Reference

Implements the active demultiplexed lookup strategy. The key is assumed to provide an index directly into the internal table. More...

`#include <Operation_Table.h>`

Inheritance diagram for TAO_Active_Demux_OpTable:

[legend]
Collaboration diagram for TAO_Active_Demux_OpTable:

[legend]
List of all members.

## Public Methods
| TAO_Active_Demux_OpTable (const TAO_operation_db_entry *db, CORBA::ULong dbsize)
| Initializes the internal table with the database of operations. More...
| ~TAO_Active_Demux_OpTable (void)
| Destructor. More...
virtual int | find (const char *opname, TAO_Skeleton &skel_ptr, const unsigned int length=0)
virtual int | bind (const char *opname, const TAO_Skeleton skelptr)
| Associate the skeleton <{skel_ptr}> with an operation named <{opname}>. Returns -1 on failure, 0 on success, 1 on duplicate. More...
## Private Attributes
CORBA::ULong | next_
| The next available free slot. More...
CORBA::ULong | tablesize_
| Size of the internal table. More...
TAO_Active_Demux_OpTable_Entry * | tbl_
| Internal lookup table. More...

## Detailed Description

Implements the active demultiplexed lookup strategy. The key is assumed to provide an index directly into the internal table.

## Constructor & Destructor Documentation

TAO_Active_Demux_OpTable::TAO_Active_Demux_OpTable | ( | const TAO_operation_db_entry * | db,
|  | CORBA::ULong | dbsize
| ) |

| Initializes the internal table with the database of operations.

TAO_Active_Demux_OpTable::~TAO_Active_Demux_OpTable | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_Active_Demux_OpTable::bind | ( | const char * | opname,
|  | const TAO_Skeleton | skel_ptr
| ) | `[virtual]`

| Associate the skeleton <{skel_ptr}> with an operation named <{opname}>. Returns -1 on failure, 0 on success, 1 on duplicate. Reimplemented from TAO_Operation_Table.

int TAO_Active_Demux_OpTable::find | ( | const char * | opname,
|  | TAO_Skeleton & | skel_ptr,
|  | const unsigned int | length = 0
| ) | `[virtual]`

| Uses <{opname}> to look up the skeleton function and pass it back in <{skelfunc}>. Returns non-negative integer on success, or -1 on failure. Reimplemented from TAO_Operation_Table.

## Member Data Documentation

CORBA::ULong TAO_Active_Demux_OpTable::next_`[private]`

| The next available free slot.

CORBA::ULong TAO_Active_Demux_OpTable::tablesize_`[private]`

| Size of the internal table.

TAO_Active_Demux_OpTable_Entry* TAO_Active_Demux_OpTable::tbl_`[private]`

| Internal lookup table.

The documentation for this class was generated from the following files:

- Operation_Table.h
- Operation_Table.cpp